import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
* AWS Cognito
*/
export interface DataAwsCognitoUserPoolClientConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/cognito_user_pool_client#client_id DataAwsCognitoUserPoolClient#client_id}
    */
    readonly clientId: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/cognito_user_pool_client#user_pool_id DataAwsCognitoUserPoolClient#user_pool_id}
    */
    readonly userPoolId: string;
}
export declare class DataAwsCognitoUserPoolClientAnalyticsConfiguration extends cdktf.ComplexComputedList {
    get applicationArn(): string;
    get applicationId(): string;
    get externalId(): string;
    get roleArn(): string;
    get userDataShared(): cdktf.IResolvable;
}
export declare class DataAwsCognitoUserPoolClientTokenValidityUnits extends cdktf.ComplexComputedList {
    get accessToken(): string;
    get idToken(): string;
    get refreshToken(): string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/aws/d/cognito_user_pool_client aws_cognito_user_pool_client}
*/
export declare class DataAwsCognitoUserPoolClient extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/aws/d/cognito_user_pool_client aws_cognito_user_pool_client} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataAwsCognitoUserPoolClientConfig
    */
    constructor(scope: Construct, id: string, config: DataAwsCognitoUserPoolClientConfig);
    get accessTokenValidity(): number;
    get allowedOauthFlows(): string[];
    get allowedOauthFlowsUserPoolClient(): cdktf.IResolvable;
    get allowedOauthScopes(): string[];
    analyticsConfiguration(index: string): DataAwsCognitoUserPoolClientAnalyticsConfiguration;
    get callbackUrls(): string[];
    private _clientId?;
    get clientId(): string;
    set clientId(value: string);
    get clientIdInput(): string;
    get clientSecret(): string;
    get defaultRedirectUri(): string;
    get enableTokenRevocation(): cdktf.IResolvable;
    get explicitAuthFlows(): string[];
    get generateSecret(): cdktf.IResolvable;
    get id(): string;
    get idTokenValidity(): number;
    get logoutUrls(): string[];
    get name(): string;
    get preventUserExistenceErrors(): string;
    get readAttributes(): string[];
    get refreshTokenValidity(): number;
    get supportedIdentityProviders(): string[];
    tokenValidityUnits(index: string): DataAwsCognitoUserPoolClientTokenValidityUnits;
    private _userPoolId?;
    get userPoolId(): string;
    set userPoolId(value: string);
    get userPoolIdInput(): string;
    get writeAttributes(): string[];
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
